<id>
Anguz:TableFromCsv
</id>

<version>
1.11
</version>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
			$add = array_flip($match[0]);
			$arr1 = array();
			$arr2 = array();
</search for>

<add after>

			// Table from CSV. [table=]cell1,cell2[/table]
			if(isset($add['[table='])){
				$arr1[] = '~\[table=(.*?)\](.*?<br />)?(.*?)\[/table\](?:\s|\xA0|<br />|&nbsp;)?~ie';
				$arr2[] = 'parse_table_csv(\'$1\', \'$2\', \'$3\')';
			}
</add after>

<search for>
function parse_table($table){
</search for>

<add before>
function parse_table_csv($comma, $line1, $more){
	static $id = 0;
	$id += 1;
	$table = '';
	if(empty($comma))
		$comma = ',';
	if(!empty($line1))
		$table .= '<tr><th>' . strtr($line1, array($comma => '</th><th>', '<br />' => '</th></tr>'));
	if(!empty($more))
		$table .= '<tr><td>' . strtr($more, array($comma => '</td><td>', '<br />' => '</td></tr><tr><td>')) . '</td></tr>';
	return '<table id="tbl' . $id . '" class="sortable">' . $table . '</table>';
}
</add before>

<edit file>
$themedir/index.template.php
</edit file>

<search for>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js"></script>
</search for>

<add after>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sorttable.js"></script>
</add after>

<edit file>
$themedir/style.css
</edit file>

<search for>
/* Alternating backgrounds for posts, and several other sections of the forum. */
</search for>

<add before>
/* Table From CSV. */
.sortable td, .sortable th
{
	font-family: monospace;
}
.sortarrow
{
	font-family: serif;
}
.sortbg1 td
{
	background-color: #F0F0F0;
}
.sortbg2 td, .sortable th
{
	background-color: #E1E1E1;
}

</add before>
